// ===========================================================================
//	CStdNeuron.h				1996 Timo Eloranta
// ===========================================================================
//  A concrete neuron class derived from the abstract CNeuron class

#pragma once						// Include this header only once

#include "CNeuron.h"

class CStdNeuron : public CNeuron
{
	public:
				 CStdNeuron() {};
		virtual	~CStdNeuron() {};
	
		virtual void	DoClickAction( Boolean inOptionKeyDown );					
		virtual Boolean ShouldLightUp() const;
		virtual void	DoLightUpAction();
		virtual void	SetPostLightUpState();
};
